class Configurator
{
	char m_Error[256];
	char *m_Block;
public:
	Configurator();
	Configurator(const char *File);
	~Configurator();

	void Load(const char *File);
	bool Parse(ConfiguratorNode *Global, const char *Block = 0, int lineStart = 1);
	const char *checkError();
};